moDraw.wtmHud = {};

function moDraw.wtmHud:setOpenWtmHud(self)	
	if moSetGetGui.wtmHud.previewWeather then moSetGetGui.wtmHud.clickArea.previewWeather = {};end;
	if moSetGetGui.wtmHud.previewMoneyChangeLast then moSetGetGui.wtmHud.clickArea.previewMoneyChangeLast = {};end;
	local posX = moSetGetGui.wtmHud.posX+0.001;
	local posY = moSetGetGui.wtmHud.posY;
	local size = moSetGetGui.wtmHud.size;
	local moneyChangePos = moSetGetGui.wtmHud.moneyChangePos;
	local widthSettings = moSetGetGui.buttonGfxWidth1*moSetGetGui.wtmHud.zoomOutIn*10;
	--local heightSettings = moSetGetGui.buttonGfxHeight1*moSetGetGui.wtmHud.zoomOutIn*10;
	--local height = moSetGetGui.buttonGfxHeight1*moSetGetGui.wtmHud.zoomOutIn*10*(size*1.2);--*1.3;
	local height = moSetGetGui.buttonGfxHeight1*moSetGetGui.wtmHud.zoomOutIn*(size*1000/1.5)*1.3;
	local heightSettings = 0;
	local heightSettingsSplit = height/2; --(moSetGetGui.buttonGfxHeight1*moSetGetGui.wtmHud.zoomOutIn*10)/6;	
	local heightSettingsUp = heightSettingsSplit*1.1;
	local heightSettingsMiddle = heightSettingsSplit/1.3;
	local heightSettingsDown = heightSettingsSplit/3;
	local heightDefault = moSetGetGui.buttonGfxHeight1*(size*1000);
	local distanceDif = 0.002; --fillcontainer <----> filllevel
	local wtmLength = moSetGetGui.buttonGfxWidth1*(size*1000/1.5)*(35+moSetGetGui.screenAspectRatio);	
	local width = wtmLength+distanceDif;	
	local widthNext = 0;
	--moGuiMiniPdaSlots.values[1].clickArea.pda[3] moGuiMiniPdaSlots.values[slot].clickArea.pda[4]
	local currentPosY = posY;
	function nextLine(setHeight, posYnew, setLine, posYline, widthLine, heightLine, onlyLine)
		if setLine then
			moSetGetGui:setOverlay(self, moSetGetGui["designLine"], posX-0.001, currentPosY-(posYline), widthLine, heightLine);
			moSetGetGui["designLine"]:render();
			if onlyLine then return;end;
		end;		
		if setHeight then height = height+(heightDefault)+posYnew;end; --height+size+posNew;
		currentPosY = currentPosY-(heightDefault)-posYnew; --posY-(size+posYnew);		
	end;	
	moSetGetGui["weatherGround"]:render();
	if moSetGetGui["weather1"] ~= nil then		
		if not moSetGetGui.wtmHud.isSeePreviewWeather then
			if moSetGetGui.wtmHud.gameDay then
				moSetGetGui["weather1"]:setPosition(posX+0.003, posY+(heightSettingsSplit/9));
			else
				moSetGetGui["weather1"]:setPosition(posX+0.003, posY+(heightSettingsSplit/4));
			end;
			moSetGetGui["weather1"]:render();
		else
			setTextColor(unpack(moGuiMiniPdaSlots.warningColor3));
			if moSetGetGui.wtmHud.design == 1 then setTextColor(unpack(moSetGetGui.cfgMenue.color3));end;
			renderText(posX+0.003, posY+(heightSettingsDown), size-0.0025, tostring(moSetGetGui.wtmHud.seePreviewWeatherEnd));
		end;
	end;
	if moSetGetGui.wtmHud.previewWeather then
		moDraw.wtmHud:setClickAreaWtmHud(self, posX+0.003, posY, widthSettings, heightSettingsSplit, "previewWeather");
	end;
	local day = g_currentMission.environment.currentDay;
	local gameDay = moLanguageXml:getTxt("day".. math.mod(day, 7));	
	local gameTime = moGuiExtras:getMilliSecondsToHours(g_currentMission.environment.dayTime, true);
	local realDay = moLanguageXml:getTxt("day".. math.mod(getDate("%w"), 7));
	local realTime = moGuiExtras:getRealTime(true, true, true);
	local tempD = g_currentMission.environment.weatherTemperaturesDay[1].. "°";
	local tempN = g_currentMission.environment.weatherTemperaturesNight[1].. "°";
	local timeScaleIndex = Utils.getTimeScaleIndex(g_currentMission.missionStats.timeScale);
	local timeScale = Utils.getTimeScaleFromIndex(timeScaleIndex);
	local money = g_i18n:formatMoney(g_currentMission.missionStats.money);
	local moneyChange = nil;
	local soldSomething = moSetGetGui.wtmHud.soldSomething;	
	if moSetGetGui.wtmHud.moneyChange and g_currentMission.moneyChange.curAmount ~= nil then
		--print(tostring(getMoneyTypeId()))
		--print(tostring(MultiOverlayV2:tableToString(g_currentMission.moneyChange)));
		if moSetGetGui.wtmHud.moneyChangeSound then
			playSample(g_currentMission.cashRegistrySound, 1, 1, 0);
		end;				
		moneyChange = g_i18n:formatMoney(g_currentMission.moneyChange.curAmount);		
		local addString = "+";
		if string.find(tostring(moneyChange), "-") then addString = "";end;	
		if moSetGetGui.wtmHud.moneyChangeLast[1] ~= nil then
			if moSetGetGui.wtmHud.moneyChangeLast[1] ~= tostring(addString).. " ".. tostring(moneyChange) then
				table.insert(moSetGetGui.wtmHud.moneyChangeLast, 1, tostring(addString).. " ".. tostring(moneyChange));
				if #moSetGetGui.wtmHud.moneyChangeLast > 10 then table.remove(moSetGetGui.wtmHud.moneyChangeLast, 11);end;
			end;
		else
			table.insert(moSetGetGui.wtmHud.moneyChangeLast, 1, tostring(addString).. " ".. tostring(moneyChange));
		end;		
		soldSomething = true;		
	end;	
	local lenDif = moSetGetGui.buttonGfxWidth1*(size*1000/1.5)*(1/1.05);
	local lenDay = moSetGetGui.buttonGfxWidth1*(size*1000/1.5)*(string.len(day)/1.05);
	local lenTemp = moSetGetGui.buttonGfxWidth1*(size*1000/1.5)*(3/1.05);
	if not moSetGetGui.wtmHud.seeTemp then lenTemp = 0;end;
	if lenDay <= widthSettings then lenDay = widthSettings;end;
	local lenTimeScale = moSetGetGui.buttonGfxWidth1*(size*1000/1.5)*(3/1.05);
	local lenDayTime = moSetGetGui.buttonGfxWidth1*(size*1000/1.5)*((string.len(gameDay)+string.len(gameTime))/1.05);
	if moSetGetGui.wtmHud.realTime and lenDayTime <= moSetGetGui.buttonGfxWidth1*((size-0.0031)*1000/1.5)*((string.len(realDay)+string.len(realTime)+0.3)/1.05) then 
		lenDayTime = moSetGetGui.buttonGfxWidth1*((size-0.0031)*1000/1.5)*((string.len(realDay)+string.len(realTime)+0.3)/1.05);
	end;	
	local lenTimeScale = moSetGetGui.buttonGfxWidth1*(size*1000/1.5)*(3/1.05);
	local lenMoney = moSetGetGui.buttonGfxWidth1*(size*1000/1.5)*(string.len(money)/1.05);	
	local txtLenght = moSetGetGui.buttonGfxWidth1*(size*1000/1.5)*(moSetGetGui.screenAspectRatio);
	width = lenDay+lenTemp+lenTimeScale+lenDayTime+lenMoney+(lenDif*2)+txtLenght+distanceDif;
	local widthDif = width+widthNext/3;	
	if not moSetGetGui.cfgMenue.all and moSetGetGui.wtmHud.mohHudRight then
		if posX + width > 1.0 or posX + width < 1.00 then 
			posX = 0.9985-width;
			moSetGetGui.wtmHud.posX = 0.9985-width;
		end;		
	end;
	--setTextAlignment(RenderText.CENTER);
	--setTextAlignment(RenderText.ALIGN_LEFT);
	--setTextColor(unpack(moGuiMiniPdaSlots.inactiveColor));
	setTextBold(true);
	if moSetGetGui.wtmHud.design == 1 then
		setTextColor(unpack(moSetGetGui.cfgMenue.color1));
		if moSetGetGui.wtmHud.gameDay then
			local weatherType = g_currentMission.environment:getRainTypeIdAtDay(day) or "sun";
			local daySize = size-0.0015;
			if weatherType ~= nil and weatherType == "rain" then daySize = size-0.002;end;
			if string.len(day) == 1 then
				renderText(posX+0.005, currentPosY+(heightSettingsUp)+0.002, daySize, tostring(day));
			elseif string.len(day) == 2 then
				renderText(posX+0.0042, currentPosY+(heightSettingsUp)+0.002, daySize, tostring(day));
			else
				renderText(posX+0.003, currentPosY+(heightSettingsUp)+0.002, daySize, tostring(day));
			end;
		end;
		--setTextAlignment(false);
		if moSetGetGui.wtmHud.seeTemp then
			--setTextBold(false);
			setTextColor(unpack(moSetGetGui.cfgMenue.color2));
			renderText(posX+0.005+lenDay, currentPosY+(heightSettingsUp), size-0.0035, tempD);
			renderText(posX+0.005+lenDay, currentPosY+(heightSettingsDown), size-0.0035, tempN);
			--setTextBold(true);		
			setTextColor(unpack(moSetGetGui.cfgMenue.color1));
		end;
		renderText(posX+0.003+lenDay+lenTemp, currentPosY+(heightSettingsUp), size, "|");		
		renderText(posX+0.003+lenDay+lenTemp, currentPosY+(heightSettingsDown), size, "|");	
		if timeScale ~= nil and tonumber(timeScale) > 1 then
			setTextColor(unpack(moSetGetGui.cfgMenue.color3));
		end;	
		renderText(posX+0.003+lenDay+lenTemp+(lenDif*1), currentPosY+(heightSettingsUp), size, ">>>");
		if string.len(tostring(timeScale)) > 2 then
			renderText(posX+0.003+lenDay+lenTemp+(lenDif*1), currentPosY+(heightSettingsDown), size-0.001, tostring(timeScale));
		elseif string.len(tostring(timeScale)) > 1 then
			renderText(posX+0.003+lenDay+lenTemp+(lenDif*1.5), currentPosY+(heightSettingsDown), size-0.001, tostring(timeScale));
		else
			renderText(posX+0.003+lenDay+lenTemp+(lenDif*1.8), currentPosY+(heightSettingsDown), size-0.001, tostring(timeScale));
		end;		
		setTextColor(unpack(moSetGetGui.cfgMenue.color1));
		renderText(posX+0.003+lenDay+lenTemp+lenTimeScale+(lenDif*1), currentPosY+(heightSettingsUp), size, "|");		
		renderText(posX+0.003+lenDay+lenTemp+lenTimeScale+(lenDif*1), currentPosY+(heightSettingsDown), size, "|");					
		if moSetGetGui.wtmHud.realTime then
			--setTextBold(false);
			setTextColor(unpack(moSetGetGui.cfgMenue.color3));
			if moSetGetGui.wtmHud.realTimeColor ~= 1 then setTextColor(unpack(moGuiExtras.colors[moSetGetGui.wtmHud.realTimeColors[moSetGetGui.wtmHud.realTimeColor]]));end;
			renderText(posX+0.003+lenDay+lenTemp+lenTimeScale+(lenDif*2), currentPosY+(heightSettingsDown), size-0.0031, tostring(realDay).. tostring(realTime));
			setTextColor(unpack(moSetGetGui.cfgMenue.color1));
			--setTextBold(true);
			renderText(posX+0.003+lenDay+lenTemp+lenTimeScale+(lenDif*2), currentPosY+(heightSettingsUp), size, tostring(gameDay).. tostring(gameTime));	
		else
			renderText(posX+0.003+lenDay+lenTemp+lenTimeScale+(lenDif*2), currentPosY+(heightSettingsMiddle), size, tostring(gameDay).. tostring(gameTime));	
		end;		
		renderText(posX+0.003+lenDay+lenTemp+lenTimeScale+lenDayTime+(lenDif*2), currentPosY+(heightSettingsUp), size, "|");		
		renderText(posX+0.003+lenDay+lenTemp+lenTimeScale+lenDayTime+(lenDif*2), currentPosY+(heightSettingsDown), size, "|");
		setTextAlignment(RenderText.ALIGN_RIGHT);		
		setTextColor(unpack(moSetGetGui.cfgMenue.color2));
		if string.find(tostring(money), "-") then
			setTextColor(unpack(moSetGetGui.cfgMenue.color3));
		end;
		if moSetGetGui.wtmHud.realTime then
			renderText(posX+0.003+width-(distanceDif)-lenDif, currentPosY+(heightSettingsUp), size, tostring(money));
			if moSetGetGui.wtmHud.previewMoneyChangeLast then
				moDraw.wtmHud:setClickAreaWtmHud(self, posX+0.003+width-(distanceDif)-lenDif-lenMoney, currentPosY+(heightSettingsUp), lenMoney, heightSettingsSplit, "previewMoneyChangeLast");
			end;
		else
			if moneyChange ~= nil and moSetGetGui.wtmHud.moneyChange and soldSomething and moneyChangePos == 1 then
				renderText(posX+0.003+width-(distanceDif)-lenDif, currentPosY+(heightSettingsUp), size, tostring(money));
			else
				renderText(posX+0.003+width-(distanceDif)-lenDif, currentPosY+(heightSettingsMiddle), size, tostring(money));
			end;
			if moSetGetGui.wtmHud.previewMoneyChangeLast then
				moDraw.wtmHud:setClickAreaWtmHud(self, posX+0.003+width-(distanceDif)-lenDif-lenMoney, currentPosY+(heightSettingsMiddle), lenMoney, heightSettingsSplit, "previewMoneyChangeLast");
			end;
		end;
		if moneyChange ~= nil and moSetGetGui.wtmHud.moneyChange and soldSomething then
			--if not moSetGetGui.wtmHud.moneyChangeSound then
				--playSample(g_currentMission.cashRegistrySound, 1, 1, 0);
			--end;
			setTextBold(false);
			local addString = "+";			
			if moneyChangePos == 1 then
				setTextColor(unpack(moSetGetGui.cfgMenue.color2));
			else
				setTextColor(unpack(moGuiExtras.colors["darkGreen"]));
			end;
			if string.find(tostring(moneyChange), "-") then 
				addString = "";				
				if moneyChangePos == 1 then
					setTextColor(unpack(moSetGetGui.cfgMenue.color3));
				else
					setTextColor(unpack(moGuiExtras.colors["warningRed"]));
				end;
			end;			
			if moneyChangePos == 1 then				
				renderText(posX+0.003+width-(distanceDif)-lenDif, currentPosY+(heightSettingsDown), size-0.0015, tostring(addString).. " ".. tostring(moneyChange));
			--elseif moneyChangePos == 1 then				
			--	renderText(posX+0.003+width-(distanceDif)-lenDif, currentPosY+(heightSettingsDown)-0.003, size-0.0015, tostring(addString).. " ".. tostring(moneyChange));
			--end;
			elseif moneyChangePos == 2 then
				renderText(posX+0.003+width-(distanceDif)-lenDif, currentPosY+(heightSettingsDown*8), size-0.0015, tostring(addString).. " ".. tostring(moneyChange));
			elseif moneyChangePos == 3 then
				renderText(posX+0.003+width-(distanceDif)-lenDif, currentPosY-(heightSettingsUp), size-0.0015, tostring(addString).. " ".. tostring(moneyChange));
			elseif moneyChangePos == 4 then
				local lenMoneyChange = moSetGetGui.buttonGfxWidth1*(size*1000/1.5)*(string.len(moneyChange)+0.5/1.05);
				renderText(posX-0.003, currentPosY+(height/2), size-0.0015, tostring(addString).. " ".. tostring(moneyChange));	
			elseif moneyChangePos == 5 then
				renderText(0.52, 0.95, size-0.0015, tostring(addString).. " ".. tostring(moneyChange));	
			end;
		else
			if moGuiMiniPdaSlots.isHiden and moGuiMiniPdaSlots.warningFound >= 3 then --and moSetGetGui.wtmHud.realTime then
				moSetGetGui["wtmWarning"]:setPosition(posX+0.003+lenDay+lenTemp+lenTimeScale+lenDayTime+(lenDif*3), currentPosY+(heightSettingsDown/2));
				moSetGetGui["wtmWarning"]:render();
			end;
			--moSetGetGui.wtmHud.moneyChangeSound = false;
		end;
	else
		setTextColor(unpack(moGuiMiniPdaSlots.priceColor));
		if moSetGetGui.wtmHud.gameDay then
			local weatherType = g_currentMission.environment:getRainTypeIdAtDay(day) or "sun";
			local daySize = size-0.0015;
			if weatherType ~= nil and weatherType == "rain" then daySize = size-0.002;end;
			if string.len(day) == 1 then
				renderText(posX+0.005, currentPosY+(heightSettingsUp)+0.002, daySize, tostring(day));
			elseif string.len(day) == 2 then
				renderText(posX+0.0042, currentPosY+(heightSettingsUp)+0.002, daySize, tostring(day));
			else
				renderText(posX+0.003, currentPosY+(heightSettingsUp)+0.002, daySize, tostring(day));
			end;
		end;
		--setTextAlignment(false);
		if moSetGetGui.wtmHud.seeTemp then
			--setTextBold(false);
			setTextColor(unpack(moGuiMiniPdaSlots.activeColor));
			renderText(posX+0.005+lenDay, currentPosY+(heightSettingsUp), size-0.0035, tempD);
			renderText(posX+0.005+lenDay, currentPosY+(heightSettingsDown), size-0.0035, tempN);
			--setTextBold(true);
			setTextColor(unpack(moGuiMiniPdaSlots.priceColor));
		end;
		renderText(posX+0.003+lenDay+lenTemp, currentPosY+(heightSettingsUp), size, "|");
		renderText(posX+0.003+lenDay+lenTemp, currentPosY+(heightSettingsDown), size, "|");	
		if timeScale ~= nil and tonumber(timeScale) > 1 then
			setTextColor(unpack(moGuiMiniPdaSlots.warningColor4));
		end;	
		renderText(posX+0.003+lenDay+lenTemp+(lenDif*1), currentPosY+(heightSettingsUp), size, ">>>");
		if string.len(tostring(timeScale)) > 2 then
			renderText(posX+0.003+lenDay+lenTemp+(lenDif*1), currentPosY+(heightSettingsDown), size-0.001, tostring(timeScale));
		elseif string.len(tostring(timeScale)) > 1 then
			renderText(posX+0.003+lenDay+lenTemp+(lenDif*1.5), currentPosY+(heightSettingsDown), size-0.001, tostring(timeScale));
		else
			renderText(posX+0.003+lenDay+lenTemp+(lenDif*1.8), currentPosY+(heightSettingsDown), size-0.001, tostring(timeScale));
		end;		
		setTextColor(unpack(moGuiMiniPdaSlots.priceColor));
		renderText(posX+0.003+lenDay+lenTemp+lenTimeScale+(lenDif*1), currentPosY+(heightSettingsUp), size, "|");
		renderText(posX+0.003+lenDay+lenTemp+lenTimeScale+(lenDif*1), currentPosY+(heightSettingsDown), size, "|");					
		if moSetGetGui.wtmHud.realTime then
			--setTextBold(false);
			setTextColor(unpack(moGuiMiniPdaSlots.warningColor4));
			if moSetGetGui.wtmHud.realTimeColor ~= 1 then setTextColor(unpack(moGuiExtras.colors[moSetGetGui.wtmHud.realTimeColors[moSetGetGui.wtmHud.realTimeColor]]));end;
			renderText(posX+0.003+lenDay+lenTemp+lenTimeScale+(lenDif*2), currentPosY+(heightSettingsDown), size-0.0031, tostring(realDay).. tostring(realTime));
			setTextColor(unpack(moGuiMiniPdaSlots.priceColor));
			--setTextBold(true);
			renderText(posX+0.003+lenDay+lenTemp+lenTimeScale+(lenDif*2), currentPosY+(heightSettingsUp), size, tostring(gameDay).. tostring(gameTime));	
		else
			renderText(posX+0.003+lenDay+lenTemp+lenTimeScale+(lenDif*2), currentPosY+(heightSettingsMiddle), size, tostring(gameDay).. tostring(gameTime));	
		end;
		setTextColor(unpack(moGuiMiniPdaSlots.priceColor));
		renderText(posX+0.003+lenDay+lenTemp+lenTimeScale+lenDayTime+(lenDif*2), currentPosY+(heightSettingsUp), size, "|");
		renderText(posX+0.003+lenDay+lenTemp+lenTimeScale+lenDayTime+(lenDif*2), currentPosY+(heightSettingsDown), size, "|");
		setTextAlignment(RenderText.ALIGN_RIGHT);		
		setTextColor(unpack(moGuiMiniPdaSlots.bestPriceColor));
		if string.find(tostring(money), "-") then
			setTextColor(unpack(moGuiMiniPdaSlots.warningColor4));
		end;
		if moSetGetGui.wtmHud.realTime then
			renderText(posX+0.003+width-(distanceDif)-lenDif, currentPosY+(heightSettingsUp), size, tostring(money));
			moDraw.wtmHud:setClickAreaWtmHud(self, posX+0.003+width-(distanceDif)-lenDif-lenMoney, currentPosY+(heightSettingsUp), lenMoney, heightSettingsSplit, "previewMoneyChangeLast");
		else
			if moneyChange ~= nil and moSetGetGui.wtmHud.moneyChange and soldSomething and moneyChangePos == 1 then
				renderText(posX+0.003+width-(distanceDif)-lenDif, currentPosY+(heightSettingsUp), size, tostring(money));
			else
				renderText(posX+0.003+width-(distanceDif)-lenDif, currentPosY+(heightSettingsMiddle), size, tostring(money));
			end;
			moDraw.wtmHud:setClickAreaWtmHud(self, posX+0.003+width-(distanceDif)-lenDif-lenMoney, currentPosY+(heightSettingsMiddle), lenMoney, heightSettingsSplit, "previewMoneyChangeLast");
		end;
		if moneyChange ~= nil and moSetGetGui.wtmHud.moneyChange and soldSomething then
			--if not moSetGetGui.wtmHud.moneyChangeSound then
			--	playSample(g_currentMission.cashRegistrySound, 1, 1, 0);
			--end;
			setTextBold(false);
			local addString = "+";			
			if moneyChangePos == 1 then
				setTextColor(unpack(moGuiMiniPdaSlots.warningColor1));
			else
				setTextColor(unpack(moGuiExtras.colors["darkGreen"]));
			end;				
			if string.find(tostring(moneyChange), "-") then 
				addString = "";				
				if moneyChangePos == 1 then
					setTextColor(unpack(moGuiMiniPdaSlots.warningColor4));
				else
					setTextColor(unpack(moGuiExtras.colors["warningRed"]));
				end;				
			end;			
			if moneyChangePos == 1 then
				renderText(posX+0.003+width-(distanceDif)-lenDif, currentPosY+(heightSettingsDown), size-0.0015, tostring(addString).. " ".. tostring(moneyChange));
			--elseif moneyChangePos == 1 then				
			--	renderText(posX+0.003+width-(distanceDif)-lenDif, currentPosY+(heightSettingsDown)-0.003, size-0.002, tostring(addString).. " ".. tostring(moneyChange));				
			--end;
			elseif moneyChangePos == 2 then
				renderText(posX+0.003+width-(distanceDif)-lenDif, currentPosY+(heightSettingsDown*8), size-0.0015, tostring(addString).. " ".. tostring(moneyChange));
			elseif moneyChangePos == 3 then
				renderText(posX+0.003+width-(distanceDif)-lenDif, currentPosY-(heightSettingsUp), size-0.0015, tostring(addString).. " ".. tostring(moneyChange));
			elseif moneyChangePos == 4 then
				local lenMoneyChange = moSetGetGui.buttonGfxWidth1*(size*1000/1.5)*(string.len(moneyChange)+0.5/1.05);
				renderText(posX-0.003, currentPosY+(height/2), size-0.0015, tostring(addString).. " ".. tostring(moneyChange));
			elseif moneyChangePos == 5 then
				renderText(0.52, 0.95, size-0.0015, tostring(addString).. " ".. tostring(moneyChange));	
			end;
		else
			if moGuiMiniPdaSlots.isHiden and moGuiMiniPdaSlots.warningFound >= 3 then --and moSetGetGui.wtmHud.realTime then
				moSetGetGui["wtmWarning"]:setPosition(posX+0.003+lenDay+lenTemp+lenTimeScale+lenDayTime+(lenDif*3), currentPosY+(heightSettingsDown/2));
				moSetGetGui["wtmWarning"]:render();
			end;
			--moSetGetGui.wtmHud.moneyChangeSound = false;
		end;
	end;
	moSetGetGui.wtmHud.soldSomething = false;
	----	
	--moSetGetGui:setOverlay(self, moSetGetGui["weatherGround"], posX-(widthNext/2), currentPosY-(heightSettings/3), width+widthNext, height+(heightSettings*1.2));
	moSetGetGui:setOverlay(self, moSetGetGui["weatherGround"], posX, posY, width+widthNext, height+(heightSettings*1.2));
	moMouseClickAreas.dragDropPos["wtmHud"] = {width=width+widthNext, height=height+(heightSettings*1.2)};
	setTextColor(1, 1, 1, 1);
	setTextAlignment(false);
	setTextBold(false);	
end;

function moDraw.wtmHud:setOpenPreviewWeather(self)
	local posX = 0.35;
	local posY = 0.6;
	local size = moSetGetGui.wtmHud.size;	
	local widthSettings = moSetGetGui.buttonGfxWidth1*moSetGetGui.wtmHud.zoomOutIn*15;
	local heightSettings = moSetGetGui.buttonGfxHeight1*moSetGetGui.wtmHud.zoomOutIn*(size*1000/1.5)*1.3; --moSetGetGui.buttonGfxHeight1*moSetGetGui.wtmHud.zoomOutIn*10;	
	moSetGetGui["designGround"]:render();	
	local distance = 0.002
	local begin = 0.003
	local widthNext = widthSettings;
	local b = 0;		
	for a=1, 14 do
		setTextAlignment(RenderText.CENTER);
		setTextBold(true);
		setTextColor(unpack(moGuiMiniPdaSlots.siloColor));
		local day = g_currentMission.environment.currentDay+a-1;		
		local gameDay = moLanguageXml:getTxt("day".. math.mod(day, 7));
		local lenDay = moSetGetGui.buttonGfxWidth1*(size*1000/1.5)*(string.len(gameDay)/1.05);
		local tempD = g_currentMission.environment.weatherTemperaturesDay[a].. "°";
		local tempN = g_currentMission.environment.weatherTemperaturesNight[a].. "°";
		local balance = 0;
		if b == 0 then 
			widthNext = begin;		
		end;		
		renderText(posX+(widthNext), posY+(heightSettings*2.5), size, tostring(gameDay));
		moSetGetGui["weather".. a]:setPosition(posX+(widthNext), posY+(heightSettings*1.5));
		moSetGetGui["weather".. a]:render();
		setTextColor(unpack(moGuiMiniPdaSlots.priceColor));
		renderText(posX+(widthNext), posY+(heightSettings*1), size, tostring(tempD));
		setTextBold(false);
		renderText(posX+(widthNext), posY+(heightSettings*0.3), size, tostring(tempN));
		b =	b+1;
		if lenDay > widthSettings then 
			widthNext = widthNext+lenDay+distance;
		else
			widthNext = widthNext+widthSettings+distance;
		end;
	end;
	moSetGetGui:setOverlay(self, moSetGetGui["designGround"], posX, posY, widthNext+begin, heightSettings*3);
	setTextColor(1, 1, 1, 1);
	setTextAlignment(false);
	setTextBold(false);	
end;

function moDraw.wtmHud:setOpenPreviewWeatherOld(self)
	local posX = 0.35;
	local posY = 0.6;
	local size = moSetGetGui.wtmHud.size;	
	local widthSettings = moSetGetGui.buttonGfxWidth1*moSetGetGui.wtmHud.zoomOutIn*15;
	local heightSettings = moSetGetGui.buttonGfxHeight1*moSetGetGui.wtmHud.zoomOutIn*(size*1000/1.5)*1.3; --moSetGetGui.buttonGfxHeight1*moSetGetGui.wtmHud.zoomOutIn*10;	
	moSetGetGui["designGround"]:render();
	moSetGetGui:setOverlay(self, moSetGetGui["designGround"], posX, posY, widthSettings*16, heightSettings*3);
	local distance = 0.03
	local begin = 0.003
	local b = 0;		
	for a=1, 14 do
		setTextAlignment(RenderText.CENTER);
		setTextBold(true);
		setTextColor(unpack(moGuiMiniPdaSlots.siloColor));
		local day = g_currentMission.environment.currentDay+a-1;		
		local gameDay = moLanguageXml:getTxt("day".. math.mod(day, 7));
		local lenDay = moSetGetGui.buttonGfxWidth1*(size*1000/1.5)*(string.len(gameDay)/1.05);
		local tempD = g_currentMission.environment.weatherTemperaturesDay[a].. "°";
		local tempN = g_currentMission.environment.weatherTemperaturesNight[a].. "°";
		renderText(posX+(widthSettings*a), posY+(heightSettings*2.5), size, tostring(gameDay));
		moSetGetGui["weather".. a]:setPosition(posX+(widthSettings*a), posY+(heightSettings*1.5));
		moSetGetGui["weather".. a]:render();
		setTextColor(unpack(moGuiMiniPdaSlots.priceColor));
		renderText(posX+(widthSettings*a), posY+(heightSettings*1), size, tostring(tempD));
		setTextBold(false);
		renderText(posX+(widthSettings*a), posY+(heightSettings*0.3), size, tostring(tempN));
		b =	b+1;	
	end;
	setTextColor(1, 1, 1, 1);
	setTextAlignment(false);
	setTextBold(false);	
end;

function moDraw.wtmHud:setOpenPreviewMoneyChangeLast(self)
	local posX = 0.49;
	local posY = 0.9;
	local size = 0.011;
	local widthSettings = moSetGetGui.buttonGfxWidth1*(size*1000/1.5)*(10+moSetGetGui.screenAspectRatio);
	local heightSettings = moSetGetGui.buttonGfxHeight1*(0.012*1000);
	moSetGetGui["designGround"]:render();	
	local b = 0;
	for a=0, #moSetGetGui.wtmHud.moneyChangeLast do
		if moSetGetGui.wtmHud.moneyChangeLast[a+1] == nil then break;end;
		--setTextAlignment(RenderText.CENTER);
		setTextAlignment(RenderText.ALIGN_RIGHT);
		setTextBold(true);		
		setTextColor(unpack(moGuiMiniPdaSlots.warningColor0));
		local moneyChange = moSetGetGui.wtmHud.moneyChangeLast[a+1];
		if string.find(tostring(moneyChange), "-") then			
			setTextColor(unpack(moGuiMiniPdaSlots.warningColor4));	
		end;
		local lenMoneyChange = moSetGetGui.buttonGfxWidth1*(size*1000/1.5)*(string.len(moneyChange)+0.5/1.05);
		if lenMoneyChange > widthSettings then widthSettings = lenMoneyChange;end;
		renderText(posX-0.002+widthSettings, posY-(heightSettings*a), size, tostring(moneyChange));
		b = b+1;
		if a+1 >= 10 then break;end;
	end;
	if b > 0 then
		moSetGetGui:setOverlay(self, moSetGetGui["designGround"], posX, posY-(heightSettings*(b)), widthSettings, heightSettings*(b+2));
		setTextColor(unpack(moGuiMiniPdaSlots.siloColor));
		renderText(posX-0.002+widthSettings, posY+heightSettings*(1), size, tostring(moSetGetGui.wtmHud.seePreviewMoneyChangeLastEnd));
	end;
	setTextColor(1, 1, 1, 1);
	setTextAlignment(false);
	setTextBold(false);	
end;

function moDraw.wtmHud:setClickAreaWtmHud(self, posX, posY, horizontal, vertical, previewTable)	
	local clickTable;
	if previewTable == "previewWeather" then clickTable = moSetGetGui.wtmHud.clickArea.previewWeather;end;
	if previewTable == "previewMoneyChangeLast" then clickTable = moSetGetGui.wtmHud.clickArea.previewMoneyChangeLast;end;
	if clickTable ~= nil then
		local a = Utils.getNoNil(table.getn(clickTable), 0);	
		clickTable[a+1] = {posX, posX+(horizontal), posY, posY+(vertical) };	
	end;
end;